Subject: bug#3593: closed (Re: bug#3596: NS: wrong font chosen)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2016 14:53:03 +0000

Your bug report

#3588: NS: wrong font chosen

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3588: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3588
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3596: NS: wrong font chosen
From: Alan Third <[email-masked]>
To: David Reitter <[email-masked]>
Cc: Adrian Robert <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 10 Jul 2016 15:52:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Third <[email-masked]> writes:

> I can't reproduce this in Emacs 25. I don't have Lucida Calligraphy, but
> Brush Script MT appears to only have Italic and it displays fine.

No response in quite a long time. I believe the NS font back-end has been
completely replaced since this bug report.
-- 
Alan Third

Subject: Re: NS: wrong font chosen
From: Adrian Robert <[email-masked]>
To: David Reitter <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Jun 2009 08:10:23 +0300

On Jun 16, 2009, at 6:08 PM, David Reitter wrote:

> nsfont: list for fontspec:
>     #<font-spec ns apple Lucida\ Calligraphy nil ascii-0 nil nil  
> nil nil nil nil nil ((:name))>
> nsfont: list for fontspec:
>     #<font-spec ns nil Lucida\ Calligraphy nil iso10646-1 nil nil  
> nil nil nil nil nil ((:name))>
> 2009-06-16 11:02:17.197 Emacs[41030:10b] Request covering families  
> for script: ''
> 2009-06-16 11:02:17.198 Emacs[41030:10b]     returning 287 families
> 2009-06-16 11:02:17.198 Emacs[41030:10b] Got desc  
> NSCTFontDescriptor <0x16ec970> = {
>     NSFontFamilyAttribute = "Lucida Calligraphy";
> } and found 1 matching fonts from it:
> created font_entity:
>     #<font-entity ns apple Lucida_Calligraphy nil iso10646-1 medium  
> italic normal 0 nil 0 0 ((:name))>
> created font_entity:
>     #<font-entity ns apple Lucida_Calligraphy synthItal iso10646-1  
> medium italic normal 0 nil 0 0 ((:name))>
>     Returning 2 entities.

Hmm, Lucida Calligraphy has 'italic' set, which I assume causes emacs  
to not use it for non-italic text.  However, I wonder why it is  
creating a synth-italic entity here -- it shouldn't.